Detoxify REST API
============

![logo](media/detox.jpeg)

A simple REST API around a python package for detecting toxicity in texts.
 
This code has been developed by [ZKM | Hertz-Lab](https://zkm.de/en/about-the-zkm/organization/hertz-lab) as part of the project [»The Intelligent Museum«](#the-intelligent-museum).

Copyright (c) 2022 ZKM | Karlsruhe.
Copyright (c) 2022 Paul Bethge.

For information on usage and redistribution, and for a DISCLAIMER OF ALL
WARRANTIES, see the file, "LICENSE.txt," in this distribution.

BSD Simplified License.

Requirements
------------

Software:
- Docker

Operating systems/platforms:
* macOS
* Linux
* Windows

Installation & Build
--------------------

```bash
cd backend
docker build -t detoxify .
```

for testing:
```bash
cd backend
docker run --rm -v "$(pwd):/workspace" -p 8000:8000 detoxify uvicorn main:app --host 0.0.0.0
```

for deployment:
```bash
cd backend
docker run --restart always -d -v "$(pwd):/workspace" -p 1337:8000 detoxify uvicorn main:app --host 0.0.0.0
```

Usage
----------
Run `client/index.html` in your browser

Contribute
----------

Contributions are very welcome! Clone or fork the repo, then request a pull / merge.

If you find any bugs or suggestions please log them here as well.

The Intelligent Museum
----------------------

An artistic-curatorial field of experimentation for deep learning and visitor participation

The [ZKM | Center for Art and Media](https://zkm.de/en) and the [Deutsches Museum Nuremberg](https://www.deutsches-museum.de/en/nuernberg/information/) cooperate with the goal of implementing an AI-supported exhibition. Together with researchers and international artists, new AI-based works of art will be realized during the next four years (2020-2023).  They will be embedded in the AI-supported exhibition in both houses. The Project „The Intelligent Museum” is funded by the Digital Culture Programme of the [Kulturstiftung des Bundes](https://www.kulturstiftung-des-bundes.de/en) (German Federal Cultural Foundation) and funded by the [Beauftragte der Bundesregierung für Kultur und Medien](https://www.bundesregierung.de/breg-de/bundesregierung/staatsministerin-fuer-kultur-und-medien) (Federal Government Commissioner for Culture and the Media).

As part of the project, digital curating will be critically examined using various approaches of digital art. Experimenting with new digital aesthetics and forms of expression enables new museum experiences and thus new ways of museum communication and visitor participation. The museum is transformed to a place of experience and critical exchange.

![Logo](media/Logo_ZKM_DMN_KSB.png)